HibernatePersistenceContextInterceptor (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.support
[Java] Class HibernatePersistenceContextInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.support.HibernatePersistenceContextInterceptor

All Implemented Interfaces:
  ParticipatingInterceptor

    public class HibernatePersistenceContextInterceptor
    extends java.lang.Object

Authors:
  Graeme Rocher

Since:
  0.4

Method Summary
`void` | `clear()`
`void` | `destroy()`
`void` | `disconnect()`
`void` | `flush()`
`boolean` | `getParticipate()`
`org.hibernate.SessionFactory` | `getSessionFactory()` @return the sessionFactory
`void` | `init()`
`boolean` | `isOpen()`
`void` | `reconnect()`
`void` | `setParticipate(boolean flag)`
`void` | `setReadOnly()`
`void` | `setReadWrite()`
`void` | `setSessionFactory(org.hibernate.SessionFactory sessionFactory)` @param sessionFactory the sessionFactory to set

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### clear

    public void clear()

### destroy

    public void destroy()

### disconnect

    public void disconnect()

### flush

    public void flush()

### getParticipate

    public boolean getParticipate()

### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()

  Returns:
    the sessionFactory

### init

    public void init()

### isOpen

    public boolean isOpen()

### reconnect

    getSession().reconnect();
    public void reconnect()

### setParticipate

    public void setParticipate(boolean flag)

### setReadOnly

    public void setReadOnly()

### setReadWrite

    public void setReadWrite()

### setSessionFactory

    public void setSessionFactory(org.hibernate.SessionFactory sessionFactory)

  Parameters:
    `sessionFactory` - the sessionFactory to set

Groovy Documentation